Bug 156639 - "Create Database" dialog disappears if DB with specified name exists
"Create Database" dialog disappears if DB with specified name exists
Status: RESOLVED FIXED
Product: db
Classification: Unclassified
Component: MySQL
6.x
All All
: P3 (vote)
: 6.x
Assigned To: Jiri Rechtacek
issues@db
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-12 18:28 UTC by Roman Mostyka
Modified: 2010-01-06 23:38 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Roman Mostyka 2009-01-12 18:28:08 UTC
1. Connect to MySQL server.
2. Rightclick it's node and choose "Create Database...".
3. Choose "sample" DB and click "OK". "sample" DB will be created.
4. Rightclick it's node and choose "Create Database...".
5. Choose "sample" DB and click "OK".

Result: Message that "sample" DB exists is shown and "Create Database" dialog disappears. But if user enters name of
existed DB mistakenly, it should be necessary to invoke "Create Database" dialog again. Instead of this we can still
show this dialog and then user can cancel it or enter new correct DB name without any additional actions.
Comment 1 Jiri Rechtacek 2009-02-10 15:39:26 UTC
Reassigned to new owner.
Comment 2 Jiri Rechtacek 2009-07-01 07:44:23 UTC
NB6.7 was released already - http://www.netbeans.org/community/releases/67/
Postpone fixing this issue on the next release.
Comment 3 Jiri Rechtacek 2010-01-06 04:30:48 UTC
core-main/rev/94e5d52faea3
Comment 4 Quality Engineering 2010-01-06 23:38:24 UTC
Integrated into 'main-golden', will be available in build *201001070200* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/94e5d52faea3
User: Jiri Rechtacek <jrechtacek@netbeans.org>
Log: #156639:  "Create Database" dialog disappears if DB with specified name exists


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo